Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class DataSourceConfParser

    java.lang.Object
      com.fujitsu.iflow.common.DataSourceConfParser

public final class DataSourceConfParser
extends java.lang.Object

This ...

Field Summary
`static java.lang.String` | `DB_PWD_PROPERTY`
`static java.lang.String` | `DB_URL_PROPERTY`
`static java.lang.String` | `DB_USER_PROPERTY`
`static java.lang.String` | `DEFAULT_DATASOURCE_CONF_FILE_NAME`
`static java.lang.String` | `DMS_CONFIG_FILE_DIR`
`static java.lang.String` | `DRVR_CLASS_NAME_PROPERTY`

Method Summary
`java.util.List` | `getDataSources()`
`java.util.Hashtable` | `getDsProperties(java.lang.String forDataSource)`
`static DataSourceConfParser` | `getInstance(WFSession wfSession)`
`static org.w3c.dom.Document` | `getXmlConfigFileDocument(DocRepository docRepository, java.lang.String fileName)` Given a Docrepository, this method will fetch an XML Config file from the servers root directory and then creates the DOM object and return the Document.
`static org.w3c.dom.Document` | `getXmlConfigFileDocument(java.lang.String serverBaseURL, java.lang.String fileName)` Given the Server Base URL, this method will fetch an XML Config file from the servers root directory and then creates the DOM object and return the Document.
`static org.w3c.dom.Document` | `getXmlConfigFileDocument(WFSession wfSession, java.lang.String fileName)` Given a Docrepository, this method will fetch an XML Config file from the servers root directory and then creates the DOM object and return the Document.
`static org.w3c.dom.Document` | `getXMLDocumentViaFile(java.lang.String serverBaseUrl, java.lang.String fileName)`
`static org.w3c.dom.Document` | `getXMLDocumentViaHttp(java.lang.String serverBaseUrl, java.lang.String fileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DMS_CONFIG_FILE_DIR

    public static final java.lang.String DMS_CONFIG_FILE_DIR

See Also:
  Constant Field Values

### DEFAULT_DATASOURCE_CONF_FILE_NAME

    public static final java.lang.String DEFAULT_DATASOURCE_CONF_FILE_NAME

See Also:
  Constant Field Values

### DRVR_CLASS_NAME_PROPERTY

    public static final java.lang.String DRVR_CLASS_NAME_PROPERTY

See Also:
  Constant Field Values

### DB_URL_PROPERTY

    public static final java.lang.String DB_URL_PROPERTY

See Also:
  Constant Field Values

### DB_USER_PROPERTY

    public static final java.lang.String DB_USER_PROPERTY

See Also:
  Constant Field Values

### DB_PWD_PROPERTY

    public static final java.lang.String DB_PWD_PROPERTY

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static DataSourceConfParser getInstance(WFSession wfSession)
                                            throws ModelException,
                                                   java.lang.Exception

  Throws:
    `ModelException`
    `java.lang.Exception`

### getDataSources

    public java.util.List getDataSources()

### getDsProperties

    public java.util.Hashtable getDsProperties(java.lang.String forDataSource)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getXmlConfigFileDocument

    public static org.w3c.dom.Document getXmlConfigFileDocument(WFSession wfSession,
                                                                java.lang.String fileName)
                                                         throws java.lang.Exception

  Given a Docrepository, this method will fetch an XML Config file from the servers root directory and then creates the DOM object and return the Document.

  Throws:
    `java.lang.Exception` - for XML parsing and file IO errors.

### getXmlConfigFileDocument

    public static org.w3c.dom.Document getXmlConfigFileDocument(DocRepository docRepository,
                                                                java.lang.String fileName)
                                                         throws ModelException,
                                                                java.lang.Exception

  Given a Docrepository, this method will fetch an XML Config file from the servers root directory and then creates the DOM object and return the Document.

  Throws:
    `it` - throws ModelException for problems that occur accessing the DMS repository or Exception for XML parsing and file IO errors.
    `ModelException`
    `java.lang.Exception`

### getXmlConfigFileDocument

    public static org.w3c.dom.Document getXmlConfigFileDocument(java.lang.String serverBaseURL,
                                                                java.lang.String fileName)
                                                         throws ModelException,
                                                                java.lang.Exception

  Given the Server Base URL, this method will fetch an XML Config file from the servers root directory and then creates the DOM object and return the Document.

  Throws:
    `it` - throws ModelException for problems that occur accessing the DMS repository or Exception for XML parsing and file IO errors.
    `ModelException`
    `java.lang.Exception`

### getXMLDocumentViaFile

    public static org.w3c.dom.Document getXMLDocumentViaFile(java.lang.String serverBaseUrl,
                                                             java.lang.String fileName)
                                                      throws java.lang.Exception

  Parameters:
    `serverBaseUrl` -
    `fileName` -
  Returns:
  Throws:
    `java.lang.Exception`

### getXMLDocumentViaHttp

    public static org.w3c.dom.Document getXMLDocumentViaHttp(java.lang.String serverBaseUrl,
                                                             java.lang.String fileName)
                                                      throws java.lang.Exception

  Parameters:
    `serverBaseUrl` -
    `fileName` -
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD